{% extends "base_template.html" %}

{% block title %}
    {% if form.title.data %}
        {{ form.title.data }}
    {% else %}
        Nuevo post
    {% endif %}
{% endblock %}

{% block content %}
    
    <div class="my-3 p-3 bg-body rounded shadow-sm">
        <form action="" method="post" novalidate>
            {{ form.hidden_tag() }}
            <div class="d-flex text-muted pt-3">
                <div class="col">
                    <label class="form-control-label">{{ form.title.label }}: </label>
                    {{ form.title(size=128, class_="form-control") }}<br>
                    {% for error in form.title.errors %}
                    <span style="color: red">{{ error }}</span>
                    {% endfor %}
                </div>
            </div>
            <div class="d-flex text-muted pt-3">
                <div class="col">
                    <label class="form-control-label">{{ form.title_slug.label }}: </label>
                    {{ form.title_slug(size=128, class_="form-control") }}<br>
                    {% for error in form.title_slug.errors %}
                    <span style="color: red">{{ error }}</span>
                    {% endfor %}
                </div>
            </div>
            <div class="d-flex text-muted pt-3">
                <div class="col">
                    <label class="form-control-label">{{ form.content.label }}: </label>
                    {{ form.content(size=128, class_="form-control") }}<br>
                    {% for error in form.content.errors %}
                    <span style="color: red">{{ error }}</span>
                    {% endfor %}
                </div>
            </div>
            <div class="d-flex text-muted pt-3">
                <div class="col">
                    {{ form.submit(class_="btn btn-primary btn-lg") }}
                </div>
            </div>
        </form>
        {% if post %}
            <div class="d-flex text-muted pt-3">
                <form action="{{ url_for("admin.delete_post", post_id=post.id) }}" method="post" novalidate>
                    <div class="col">
                        <button type="submit" class="btn btn-danger btn-lg">Eliminar</button>
                    </div>
                </form>
            </div>
        {% endif %}
    </div>
{% endblock %}